Хотілося б поділитися з вами

Хотілося б поділитися з вами невеликим хінтів.
Я думаю, що у завзятих користувачів FireFox (я його використовую з версії 1.0) є стандартний набір плагінів, який кочує з ними з версії у версію і беззастережно встановлюється на «чисту» лисицю. Своїм списком я поділюся трохи пізніше, а поки хотів би торкнутися такий неприємний момент, як оновлення Огнеліса і його плагінів.

Не завжди виходу нової версії браузера супроводжує оновлення всіх «обраних» плагінів. Добре, коли автори плагіна, знаючи, що особливо змін у ньому не передбачається і працювати він буде стабільно з будь-якою версією, проставляють підтримку у вигляді 3.х.х.х, тобто з будь-якою версією, що починається на 3, але так буває не завжди.

Взяти, приміром, нещодавня оновлення браузера до 3.0.1 — пара плагінів досі не оновилися на сайті і висіли б у відключеному стані, якби не …

Перейдемо до конкретики. Одним з моїх фейворіт плагінів є FasterFox. Він виробляє внутрішню настройку FireFox для завантаження сторінок в декілька потоків + містить кілька функцій, якими я не користуюся. Якщо зайти на сторінку плагіна, то видно, що його підтримка зупинилася на версії 2.0. У дійсності ж, так як всі дії плагіна зводяться до модифікації about: config під оптимальні налаштування продуктивності, він без проблем може працювати і з новою версією.